SKEEMA(1)

NAME
skeema - declarative database schema management system

SYNOPSIS
skeema [<options>] <command>

DESCRIPTION
Skeema is a declarative schema management system for MySQL and MariaDB. It allows you to export a database schema to the filesystem, and apply online schema changes by modifying CREATE statements in .sql files.

  Commands:

add-environment
    Add a new named environment to an existing host directory

diff
    Compare a DB instance's schemas to the filesystem

format
    Normalize format of filesystem representation of database objects

help
    Display usage information

init
    Save a DB instance's schemas to the filesystem

lint
    Check for problems in filesystem representation of database objects

pull
    Update the filesystem representation of schemas

push
    Alter objects on DBs to reflect the filesystem representation

version
    Display program version

  Global Options:

-o, --connect-options value
    Comma-separated session options to set upon connecting to each database instance

--debug
    Enable debug logging

-?, --help[=value]
    Display usage information for the specified command

-H, --host-wrapper value
    External bin to shell out to for host lookup; see manual for template vars

--ignore-func value
    Ignore functions that match regex

--ignore-proc value
    Ignore stored procedures that match regex

--ignore-schema value
    Ignore schemas that match regex

--ignore-table value
    Ignore tables that match regex

--[skip-]my-cnf
    Parse ~/.my.cnf for configuration (enabled by default; disable with --skip-my-cnf)

-p, --password[=value]
    Password for database user; omit value to prompt from TTY (default "$MYSQL_PWD")

--ssl-mode value
    Specify desired connection security SSL/TLS usage (valid values: "disabled", "preferred", "required")

-u, --user value
    Username to connect to database host (default "root")

--version
    Display program version

Complete documentation for this command suite is available online: https://www.skeema.io/docs/commands